package SrvMngr::I18N::Modules::Dhcpd::en;
use strict;
use warnings;
use utf8;
use Mojo::Base 'SrvMngr::I18N';

use SrvMngr::I18N::Modules::General::en;

my %lexicon = (
    'dhcpd_ACTION'                      => 'Action',
    'dhcpd_ACTIVE_DEVICE'           => 'Active Device',
    'dhcpd_ALL_OF_THEM'               => 'All of them',
    'dhcpd_CHECK_CLIENT_STATUS'  =>      'Always check the status of computers (Disabled is much faster)',
    'dhcpd_CLEAN_ALL_DHCPLEASES'    => 'You may want to clean the dhcpd.leases',
    'dhcpd_CLICK_HERE_TO_MAIN_PANEL'              => 'Return to the main panel',
    'dhcpd_CONNECTED_IP'         => 'Show DHCP Clients',
    'dhcpd_CUSTOM_DNS_STATUS'        => 'Custom DNS',
    'dhcpd_CUSTOM_DNS_TITLE'         => 'Enable custom DNS servers.',
    'dhcpd_CUSTOM_GATEWAY_ADDRESS'   => 'Gateway address',
    'dhcpd_CUSTOM_GATEWAY_STATUS'    => 'Custom gateway',
    'dhcpd_CUSTOM_GATEWAY_TITLE'     => 'Enable a custom gateway address.',
    'dhcpd_CUSTOM_LEASETIME' => 'Custom lease time',
    'dhcpd_CUSTOM_LEASETIME_TITLE'   =>      'Set the lease time (default is 86400 seconds).',
    'dhcpd_CUSTOM_WINSERVER_ADDRESS' => 'WINS Server address',
    'dhcpd_CUSTOM_WINSERVER_STATUS'  => 'WINS Server',
    'dhcpd_CUSTOM_WINSERVER_TITLE'   => 'Enable a WINS Server.',
    'dhcpd_DHCPD_SETTING_ERRORS'               => 'DHCPd Settings ERRORS',
    'dhcpd_DHCPD_SETTINGS_TITLE' => 'DHCP server settings',
    'dhcpd_DHCPD_TITLE'          => 'DHCP Manager',
    'dhcpd_DHCP_END'                 => 'DHCP End',
    'dhcpd_DHCP manager'         => 'DHCP Manager',
    'dhcpd_DHCP_RANGE_MUST_NOT_INCLUDE_SERVER_IP' =>'Incorrect range of IPs, the range of IP address allocation must not include the server address, Update unsuccessfull',
    'dhcpd_DHCP_RANGE_WITH_BAD_IP' =>      'Incorrect IP in the DHCP range, Update unsuccessfull',
    'dhcpd_DHCP_START'               => 'DHCP Start',
    'dhcpd_DHCP_START_GREATER_DHCP_END_ERRORS' =>'Incorrect range of IPs, the DHCP Start is greater than the DHCP End , Update unsuccessfull',
    'dhcpd_DISABLED'                    => 'Disabled',
    'dhcpd_DNS_SERVER_WITH_BAD_IP' =>      'Incorrect IP for DNS servers, Update unsuccessfull',
    'dhcpd_DO_YOU_WANT_TO_SENT'       => 'Do you want to send this message to',
    'dhcpd_ENABLED'                     => 'Enabled',
    'dhcpd_END_DATE'                => 'End Date',
    'dhcpd_ERROR_WHILE_REMOVING_ALL_LEASES' =>      'Error while removing all dhcpd Leases',
    'dhcpd_ERROR_WHILE_SAVING_SETTINGS' => 'Error while saving settings',
    'dhcpd_GATEWAY_BAD_IP' => 'Incorrect IP for Gateway, Update unsuccessfull',
    'dhcpd_GLOBAL_WINPOPUP'      => 'Send Global Netsend WinPopup',
    'dhcpd_GLOBAL_WINPOPUP_TITLE' =>      'Send a global WinPopup with the Net send protocol',
    'dhcpd_IP'                          => 'Ip Address',
    'dhcpd_MAC_ADDRESS'             => 'MAC Address',
    'dhcpd_MANAGING_DHCP_CLIENT'      => 'Managing DHCP clients',
    'dhcpd_NETWORK_NAME'            => 'Network Name',
    'dhcpd_NETWORK_VALUES_FOUND' =>      'Please wait .... Your subnet and your netmask appear to be :',
    'dhcpd_NO_CONNECTED_COMPUTERS'  => 'There are no connected computers',
    'dhcpd_NOT_CHECKED'             => 'Not Checked...',
    'dhcpd_PRIMARY_DNS_ADDRESS'      => 'Primary DNS',
    'dhcpd_REFRESH_CONNECTED_IP_LIST' => 'You may want to refresh this list ?',
    'dhcpd_REFRESH'                   => 'Refresh the list',
    'dhcpd_REMOVE_ACTION'           => 'Remove...',
    'dhcpd_REMOVE_A_DHCP_LEASE_ACTION' =>      'You are about to remove a client from the dhcpd.leases file.',
    'dhcpd_REMOVE_A_DHCP_LEASE' => 'Remove a DHCP lease',
    'dhcpd_ARE_YOU_SURE' => 'are you sure ?',
    'dhcpd_REMOVE_A_DHCP_LEASE_TITLE'   => 'Removing a DHCP Lease',
    'dhcpd_REMOVE_ALL_LEASES_ACTION' => 'Remove all dhcpd leases',
    'dhcpd_REMOVE_ALL_LEASES'       => 'Remove all leases',
    'dhcpd_REMOVE_DHCP_LEASE_TITLE' => 'Removing all DHCP Lease',
    'dhcpd_REMOVE_DHCP_LEASE_WARNING' =>      'Remove all entries in dhcpd.leases may cause issues',
    'dhcpd_REMOVE'                          => 'Remove',
    'dhcpd_SAVE/RESTART'                       => 'Save/Restart',
    'dhcpd_SAVE_TITLE'       =>      'After changing settings above, you must save and restart dhcpd.',
    'dhcpd_SCANNING_NETWORK_TITLE'   =>      'Scanning your network, the time needed depends on your subnet mask',
    'dhcpd_SCAN_YOUR_NETWORK'    => 'Scan your network',
    'dhcpd_SCAN_YOUR_NETWORK_TITLE' =>      'Scan your network to show active devices :',
    'dhcpd_SECONDARY_DNS_ADDRESS'    => 'Secondary DNS',
    'dhcpd_SENDING_A_WINPOPUP'        => 'Sending a WinPopup',
    'dhcpd_SENDING_A_WINPOPUP_TO'     => 'You are about to send a WinPopup to ',
    'dhcpd_SEND_WINPOPUP_TO'          => 'Send a WinPopup to',
    'dhcpd_SHOW_CONNECTED_IP_TITLE' =>      'Show all devices connected to the dhcpd server :',
    'dhcpd_START_DATE'              => 'Start Date',
    'dhcpd_STATUS_CLICK_FOR_WOL'    => 'Status - click for WOL',
    'dhcpd_STATUS_DHCP_SERVER'       => 'State of DHCPD',
    'dhcpd_STATUS_REPORT'             => 'Operation status report :',
    'dhcpd_SUCCESSFULLY_CLIENT_WOL_REQUEST' =>'Successfull request to wake up the client. The computer may take time to wake up.',
    'dhcpd_SUCCESSFULLY_DELETED_THE_CLIENT' =>      'Successfully deleted  the client in dhcpd.leases  : ',
    'dhcpd_SUCCESSFULLY_REMOVED_ALL_LEASES' =>      'Successfully deleted all leases.',
    'dhcpd_SUCCESSFULLY_SAVED_SETTINGS' => 'Successfully saved settings',
    'dhcpd_SUCCESSFULLY_SENT_MESSAGE' => 'Successfully sent message popup to',
    'dhcpd_TERTIARY_DNS_ADDRESS'     => 'Tertiary DNS',
    'dhcpd_WAKE_UP_ACTION'          => '<font color="red">Wake-Up...</font>',
    'dhcpd_WAKE_UP'                         => 'Wake UP',
    'dhcpd_WAKING_A_REMOTE_COMPUTER_ACTION' =>      'Are you sure you want to wake on lan the client  : ',
    'dhcpd_WAKING_A_REMOTE_COMPUTER_TITLE' => 'Waking Up a remote computer',
    'dhcpd_WAKING_A_REMOTE_COMPUTER'       =>      'You are about to wake up  a remote computer.',
    'dhcpd_WARNING_NO_WINPOPUP_GARANTY' =>'Warning, there is no guarantee that the popup will appear on the remote computer.',
    'dhcpd_WINPOPUP_ACTION'         => 'WinPopup...',
    'dhcpd_WINSSERVER_BAD_IP' =>      'Incorrect IP for WINS Server, Update unsuccessfull',
    'dhcpd_WRITE_YOUR_MESSAGE'        => 'Write your message here',
    'dhcpd_YOUR_MESSAGE'              => 'Your message',
    'dhcpd_REMOVE_DHCP_LEASE_WARNING2' =>      'The lease file is a log-structured file - whenever a lease changes, the
       contents of that lease are written to the end of the file. This means that it is entirely possible for there to  be  two
       or  more  declarations  of the same lease in the lease file at the same
       time. In that case,  the  instance  of  that  particular  lease  that
       appears last in the file is the one that is in effect.',
);

our %Lexicon = (
	%{ SrvMngr::I18N::Modules::General::en::Lexicon },
	%lexicon
);


1;
